# YouTube Data API . i18nRegions

## Instance Methods

Returns a list of content regions that the YouTube website supports.

### Method Details

`list(part, hl=None)`

    Returns a list of content regions that the YouTube website supports.

    Args:
      part: string, The part parameter specifies the i18nRegion resource properties that the API response will include. Set the parameter value to snippet. (required)
      hl: string, The hl parameter specifies the language that should be used for text values in the API response.

    Returns:
      An object of the form:

        {
        "eventId": "A String", # Serialized EventId of the request which produced this response.
        "items": [ # A list of regions where YouTube is available. In this map, the i18n region ID is the map key, and its value is the corresponding i18nRegion resource.
          { # A i18nRegion resource identifies a region where YouTube is available.
            "snippet": { # Basic details about an i18n region, such as region code and human-readable name. # The snippet object contains basic details about the i18n region, such as region code and human-readable name.
              "gl": "A String", # The region code as a 2-letter ISO country code.
              "name": "A String", # The human-readable name of the region.
            },
            "kind": "youtube#i18nRegion", # Identifies what kind of resource this is. Value: the fixed string "youtube#i18nRegion".
            "etag": "A String", # Etag of this resource.
            "id": "A String", # The ID that YouTube uses to uniquely identify the i18n region.
          },
        ],
        "kind": "youtube#i18nRegionListResponse", # Identifies what kind of resource this is. Value: the fixed string "youtube#i18nRegionListResponse".
        "etag": "A String", # Etag of this resource.
        "visitorId": "A String", # The visitorId identifies the visitor.
      }